prompts
Create prompts versions
Requires scopes: eval:write
POST
/
api
/
prompts
/
{promptId}
/
versions
Create prompts versions
curl --request POST \
--url https://evalgate.com/api/prompts/{promptId}/versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"definition": {
"model": {
"provider": "<string>",
"model": "<string>",
"routingKey": "<string>"
},
"messages": [
{
"id": "<string>",
"role": "user",
"content": "<string>",
"name": "<string>",
"toolCallId": "<string>"
}
],
"inputSchema": {},
"tags": [
"<string>"
],
"parameters": {},
"tools": [
{
"name": "<string>",
"inputSchema": {},
"strict": false,
"description": "<string>"
}
],
"dataPolicy": "<string>",
"outputSchema": {},
"variables": [
{
"type": "string",
"name": "<string>",
"required": true,
"default": "<string>",
"description": "<string>"
}
],
"responseFormat": "json",
"fallbackPolicy": "<string>"
},
"idempotencyKey": "<string>",
"parentVersionId": 123
}
'import requests
url = "https://evalgate.com/api/prompts/{promptId}/versions"
payload = {
"definition": {
"model": {
"provider": "<string>",
"model": "<string>",
"routingKey": "<string>"
},
"messages": [
{
"id": "<string>",
"role": "user",
"content": "<string>",
"name": "<string>",
"toolCallId": "<string>"
}
],
"inputSchema": {},
"tags": ["<string>"],
"parameters": {},
"tools": [
{
"name": "<string>",
"inputSchema": {},
"strict": False,
"description": "<string>"
}
],
"dataPolicy": "<string>",
"outputSchema": {},
"variables": [
{
"type": "string",
"name": "<string>",
"required": True,
"default": "<string>",
"description": "<string>"
}
],
"responseFormat": "json",
"fallbackPolicy": "<string>"
},
"idempotencyKey": "<string>",
"parentVersionId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
definition: {
model: {provider: '<string>', model: '<string>', routingKey: '<string>'},
messages: [
{
id: '<string>',
role: 'user',
content: '<string>',
name: '<string>',
toolCallId: '<string>'
}
],
inputSchema: {},
tags: ['<string>'],
parameters: {},
tools: [{name: '<string>', inputSchema: {}, strict: false, description: '<string>'}],
dataPolicy: '<string>',
outputSchema: {},
variables: [
{
type: 'string',
name: '<string>',
required: true,
default: '<string>',
description: '<string>'
}
],
responseFormat: 'json',
fallbackPolicy: '<string>'
},
idempotencyKey: '<string>',
parentVersionId: 123
})
};
fetch('https://evalgate.com/api/prompts/{promptId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "<string>",
"submittedAt": "<string>",
"approvedAt": "<string>",
"definition": {
"messages": [
{
"id": "<string>",
"role": "user",
"content": "<string>",
"name": "<string>",
"toolCallId": "<string>"
}
],
"variables": [
{
"name": "<string>",
"type": "string",
"required": true,
"description": "<string>",
"default": "<string>"
}
],
"inputSchema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": false,
"items": true,
"enum": [
"<string>"
]
},
"model": {
"provider": "<string>",
"model": "<string>",
"routingKey": "<string>"
},
"parameters": {},
"tools": [
{
"name": "<string>",
"inputSchema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": false,
"items": true,
"enum": [
"<string>"
]
},
"description": "<string>",
"strict": false
}
],
"tags": [
"<string>"
],
"outputSchema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": false,
"items": true,
"enum": [
"<string>"
]
},
"responseFormat": "json",
"dataPolicy": "<string>",
"fallbackPolicy": "<string>"
},
"versionId": 123,
"artifactId": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionNumber": 123,
"payload": {},
"summary": {},
"metadata": {},
"createdBy": "<string>",
"parentVersionId": 123,
"contentHash": "<string>",
"reviewStatus": "<string>",
"reviewRevision": 123,
"submittedBy": "<string>",
"approvedBy": "<string>"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create prompts versions
